> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses checkout paymentsledger



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/checkout-payments/ledger
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/checkout-payments/ledger:
    get:
      tags:
        - BusinessCheckoutPayments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingMerchantLedgerResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingMerchantLedgerResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingMerchantLedgerResponse
components:
  schemas:
    SmartbillsDataAccessServicesBillingBillingMerchantLedgerResponse:
      type: object
      properties:
        businessId:
          type: integer
          format: int64
        currency:
          type: string
          nullable: true
        grossRevenue:
          type: number
          format: double
        totalFees:
          type: number
          format: double
        netRevenue:
          type: number
          format: double
        totalRefunds:
          type: number
          format: double
        totalDisputes:
          type: number
          format: double
        totalTransactions:
          type: integer
          format: int32
        successfulTransactions:
          type: integer
          format: int32
        failedTransactions:
          type: integer
          format: int32
        refundedTransactions:
          type: integer
          format: int32
        disputedTransactions:
          type: integer
          format: int32
      additionalProperties: false

````